# nng_stat_bool(3) Manual Page

## NAME

nng_stat_bool - get statistic Boolean value

## SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    bool nng_stat_bool(nng_stat *stat);

## DESCRIPTION

The `nng_stat_bool()` function returns the Boolean value for the statistic stat. Otherwise, if the statistic is not of Boolean type, the result is indeterminate. See `nng_stat_type()` for a description of statistic types.

## RETURN VALUES

The boolean value associated with stat.

## ERRORS

None.

## SEE ALSO

libnng(3), nng_stats_get(3), nng_stat_type(3), nng_stat_unit(3), nng_stat_value(3), nng_stat(5), nng(7)